#include "mainwindow.h"
#include "ui_mainwindow.h"

QString GenerateRandomLetters(int length = 15)
{
    QString retval(length,' ');

    for(int i = 0 ; i< length; i += 2){

        retval[i]=static_cast<char>('A' + rand()%24);
    }
    return retval;
}

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    connect(ui->pushButton, &QPushButton::clicked, [this](){ui->lineEdit->setText(GenerateRandomLetters());});
}

MainWindow::~MainWindow()
{
    delete ui;
}

